<template>
  <div id="app">
    <router-view v-if="isLoggedIn"></router-view>
    <Login v-else @Login::loginResult="handleLoginResult"/>
  </div>
</template>

<script>
import Login from './components/Login.vue'

export default {
  name: 'App',
  components: {
    Login
  },
  data() {
    return {
      userIsLoggedIn: false
    }
  },
  computed: {
    isLoggedIn() {
      return this.userIsLoggedIn
    }
  },
  methods: {
    handleLoginResult({loginResult}) {
      this.userIsLoggedIn = loginResult
    }
  }
}
</script>

<style>
  @import './assets/styles/global.scss';
</style>
